/**
 * Test case for apemanfileDocBud.
 * Runs with mocha.
 */
"use strict";

const apemanfileDocBud = require('../lib/bud/apemanfile_doc_bud.js'),
    assert = require('assert'),
    coz = require('coz');

let tmpDir = __dirname + '/../tmp';

describe('apeman-doc-bud', () => {
    it('Apemanfile doc bud', (done) => {
        let bud = apemanfileDocBud(require.resolve('../doc/mocks/mock-Apemanfile.js'));
        bud.path = tmpDir + '/foo/bar/testing-apemanfile-doc.md';
        coz.render(bud, (err) => {
            assert.ifError(err);
            done();
        });
    });
});
