/**
 * Test case for apemanDoc.
 * Runs with mocha.
 */
"use strict";

const apemanDoc = require('../lib/apeman_doc.js'),
    assert = require('assert');

let tmplDir = __dirname + '/../tmp';

describe('apeman-doc', () => {
    it('Generate apemanfile doc.', (done) => {
        apemanDoc({
            out: tmplDir + '/foo/bar/baz/testing-apeman-doc.md',
            configuration: require.resolve('../doc/mocks/mock-Apemanfile.js'),
            ctx: require.resolve('../doc/mocks/mock-context.json')
        })
            .then(
                () => done(),
                err => assert.ifError(err)
            )
    });
});
